<div class="top-line">
  <div class="ingredient-name">
    <div class="content">
      {{ entry.entryName }}
    </div>
  </div>

  <button *ngIf="mobile" class="btn btn-link" (click)="toggleReplaceItem(true)">
    <i class="fas fa-sync-alt"></i>
  </button>
</div>

<div class="basket-entry">
  <!-- Width 50% -->
  <div class="picture-and-name ">
    <!-- Fixed width -->
    <img class="picture" [src]="entry.selectedItem.attributes.image" alt="Image non disponible">

    <!-- Dynamic width -->
    <div class="name-and-brand ">
      <div>
        <div class="name text-dark">
          <strong>{{ entry.selectedItem.attributes.name }}</strong>
        </div>
        <div class="capacity">{{ entry.selectedItem.capacity }}</div>
        <div class="brand">{{ entry.selectedItem.attributes.brand }}</div>
      </div>
      <div *ngIf="tag">
        <div class="tag">{{ tag }}</div>
      </div>
    </div>
  </div>

  <!-- Width 50% -->
  <div class="qty-and-price ">
    <!-- Top line = quantity and price -->
    <div class="topline-price">
      <div class="qty d-flex align-items-center">
        <div class="qty-button" (click)="updateQuantity(-1)" [ngClass]="{ delete: entry.attributes.quantity <= 1 }">
          <ng-miam-icon [iconName]='entry.attributes.quantity > 1 ? icon.MinusSquare : icon.Trash'></ng-miam-icon>
        </div>
        <div class="ml-3 mr-3">{{ entry.attributes.quantity }}</div>
        <div class="qty-button" (click)="updateQuantity(1)">
          <i class="fas fa-plus"></i>
        </div>
      </div>
    
      <div class="price d-flex flex-column align-items-end">
        <strong>{{ entry.totalPrice.replace('.', ',') }} €</strong>
        <div class="price-subline">{{ entry.selectedItem.attributes['unit-price'].replace('.', ',') }} € / unité</div>
      </div>
    </div>

    <!-- Bottom line = see similar products -->
    <div class="controls d-flex justify-content-end">
      <button *ngIf="!mobile" class="btn btn-link other-products" (click)="toggleReplaceItem(true)">
        <i class="fas fa-sync-alt mr-1"></i>
        Voir les articles similaires
      </button>
    </div>
  </div>
</div>

<!-- <miam-replace-item *ngIf="showReplaceItem" [entry]="entry" (selected)="toggleReplaceItem(false)">
</miam-replace-item>-->
